View Issue Details

IDProjectCategoryView StatusLast Update
0002859Ham Radio DeluxeBugpublic2018-09-11 13:18
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.876 
Target VersionFixed in Version6.4.0.886 
Summary0002859: Logbook: QSO Forwarding thread spins, wasting CPU
DescriptionThe QSO Forwarding thread spins. It uses a 0 timeout to test the quit event, then uses a 0 timeout to check the socket. In this loop it circles without ever yielding. This pegs a CPU.
Steps To Reproduce1) Open the Logobook
2) Open your favorite database
3) Use the "Configure" tear off in the "Tools" menu to find the "QSO Forwarding" command
4) In the resulting "QSO Forwarding" dialog, mark the "Receive logbook changes"
5) Close the dialog
6) Use Task Manager to look at CPU usage. Best to use "1 graph per CPU" or "Logical Processors" to see the load on each core.

BUG#1) Note that that one CPU is always pegged at 100%. It might move depending on scheduling and I/O, but one CPU is always at 100%.

7) Use the "Configure" tear off in the "Tools" menu to find the "QSO Forwarding" command
8) In the resulting "QSO Forwarding" dialog, un-mark the "Receive logbook changes"
9) Close the dialog
10) Observe Task Manager again. CPU usage has reduced and no core is pegged by the Logbook anymore.
TagsNo tags attached.
ModuleLogbook
Sub-Module(select)
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-08-25 17:22

manager   ~0006007

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4308

g3ucq

2018-08-30 06:06

viewer   ~0006023

I see no changes to the CPU but it is only 6%

Issue History

Date Modified Username Field Change
2018-08-25 16:51 K7ZCZ New Issue
2018-08-25 17:22 K7ZCZ Assigned To => K7ZCZ
2018-08-25 17:22 K7ZCZ Status new => resolved
2018-08-25 17:22 K7ZCZ Resolution open => fixed
2018-08-25 17:22 K7ZCZ Note Added: 0006007
2018-08-29 18:39 K7ZCZ Fixed in Version => 6.4.0.877
2018-08-30 06:06 g3ucq Note Added: 0006023
2018-09-07 16:34 WA9PIE Status resolved => closed
2018-09-07 16:34 WA9PIE Testing Not Started => Beta Successful
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.877 => 6.4.0.886